
Foreman - Feature #4331

allow for per-user oauth api keys

02/12/2014 11:47 PM - Greg Petras

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Authentication   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Right now there is a single oauth key that you can use to authenticate to Foreman. We have built a number of scripts that integrate

with the Foreman REST API, and it would be nice if we could use a per-user API key to authenticate. I envision this being similar to

the Jenkins "Show API Token / Change API Token" interface.

Related issues:

Is duplicate of Foreman - Feature #1301: Consider adding a per-user API key Closed

History

#1 - 02/13/2014 09:06 AM - Dominic Cleal

- Is duplicate of Feature #1301: Consider adding a per-user API key added

#2 - 02/13/2014 09:06 AM - Dominic Cleal

- Project changed from Installer to Foreman

- Category set to Authentication

- Status changed from New to Duplicate

I definitely agree, though I'm going to mark this as a dupe of #1301.
